(function() {
  var Note, PropTypes, React, createClass, div, header, li, p, ref, ul;

  React = require('react');

  PropTypes = require('prop-types');

  createClass = require('create-react-class');

  ref = require('react-dom-factories'), div = ref.div, ul = ref.ul, li = ref.li, header = ref.header, p = ref.p;

  Note = createClass({
    displayName: 'Note',
    propTypes: {
      className: PropTypes.string,
      headerText: PropTypes.string,
      values: PropTypes.oneOfType([PropTypes.string, PropTypes.array])
    },
    getDefaultProps: function() {
      return {
        className: '',
        headerText: ''
      };
    },
    render: function() {
      var children, className, headerText, i, index, len, noteItems, ref1, value, values;
      ref1 = this.props, values = ref1.values, headerText = ref1.headerText, className = ref1.className, children = ref1.children;
      noteItems = [];
      if (typeof values === 'object') {
        for (index = i = 0, len = values.length; i < len; index = ++i) {
          value = values[index];
          noteItems.push(li({
            key: index
          }, value));
        }
      }
      return div({
        className: "note " + className
      }, children || [
        headerText ? header({
          key: 'header',
          className: 'notes-header'
        }, headerText) : void 0, typeof values === 'object' ? ul({
          key: 'list',
          className: 'notes-list'
        }, noteItems) : void 0, typeof values === 'string' ? p({
          key: 'note',
          className: 'notes-text'
        }, values) : void 0
      ]);
    }
  });

  module.exports = Note;

}).call(this);
