(function() {
  var React, SaveConfirm, animationMixin, createClass, div;

  React = require('react');

  createClass = require('create-react-class');

  animationMixin = require('../mixins/animation_mixin');

  div = React.DOM.div;

  SaveConfirm = createClass({
    displayName: 'SaveConfirm',
    mixins: [animationMixin],
    enterDuration: 300,
    enterStateStart: {
      opacity: 0
    },
    enterStateEnd: {
      opacity: 1
    },
    enterEasing: 'easeOutCirc',
    leaveDuration: 300,
    leaveStateStart: {
      opacity: 1
    },
    leaveStateEnd: {
      opacity: 0
    },
    leaveEasing: 'easeInCirc',
    render: function() {
      var opacity;
      opacity = this.state.opacity;
      return div({
        className: 'phase-save-confirm',
        style: {
          opacity: opacity
        }
      });
    }
  });

  module.exports = SaveConfirm;

}).call(this);
