module.exports = (config) => {
  config.set({
    basePath: 'tests',
    frameworks: ['mocha', 'browserify', 'chai', 'sinon'],
 
    files: [
      './start.coffee',
      './**/*.coffee',
      '../node_modules/phantomjs-polyfill-object-assign/object-assign-polyfill.js'
    ],

    preprocessors: {
      './**/*.coffee': ['browserify']
    },

    browsers: ['PhantomJS'],
    reporters: ['mocha'],

    browserify: {
      debug: true,
      extensions: ['.coffee'],
      bundleDelay: 2500
    }
  });
};