React = require 'react'
createClass = require 'create-react-class'
PropTypes = require 'prop-types'

{li} = require 'react-dom-factories'
{ENTER} = require '../constants/keyboard'

MultiSelectOptionItem = createClass
  
  displayName: 'MultiSelectOptionItem'

  propTypes: 
    option: PropTypes.object.isRequired
    isSelected: PropTypes.bool.isRequired
    isFocused: PropTypes.bool.isRequired
    labelField: PropTypes.string
    onRemove: PropTypes.func.isRequired
    onAdd: PropTypes.func.isRequired
  
  render: ->
    {option, isSelected, labelField, isFocused} = @props

    label = option[labelField] or option
    className = 'multi-opt'
    className += ' selected' if isSelected
    className += ' focused' if isFocused
    
    li {
      className
      onClick: @handleClick
      onMouseOver: @handleMouseOver
      title: label
    }, label
  
  handleClick: ->
    {option, isSelected, onAdd, onRemove} = @props

    if isSelected then onRemove(option) else onAdd(option)


  handleMouseOver: ->
    {index, focusOption} = @props
    focusOption index
    

module.exports = React.createFactory MultiSelectOptionItem