describe 'DialogueBox', ->
  React = require 'react'
  DialogueBox = React.createFactory require('../../src/components/dialogue_box')
  TestUtils = require 'react-dom/test-utils'

   
  #--------------------------------------------------------------------- Click handling
  it 'Should call transitionOut when okay button is clicked', ->
    transitionOut = sinon.spy()
    
    dialoguebox = TestUtils.renderIntoDocument DialogueBox {
      transitionOut: transitionOut
    }

    okayBtn = TestUtils.findRenderedDOMComponentWithClass dialoguebox, 'okay-btn'

    TestUtils.Simulate.click okayBtn

    expect(transitionOut.calledOnce).to.equal(true)


  it 'Should call transitionOut when cancel button is clicked', ->
    transitionOut = sinon.spy()
    
    dialoguebox = TestUtils.renderIntoDocument DialogueBox {
      transitionOut: transitionOut
    }

    cancelBtn = TestUtils.findRenderedDOMComponentWithClass dialoguebox, 'cancel-btn'

    TestUtils.Simulate.click cancelBtn

    expect(transitionOut.calledOnce).to.equal(true)


 
