(function() {
  var circle, g, path, ref, svg;

  ref = require('react-dom-factories'), svg = ref.svg, g = ref.g, path = ref.path, circle = ref.circle;

  module.exports = function(props) {
    return svg({
      width: '24',
      height: '24',
      viewBox: '0 0 24 24',
      xmlns: 'http://www.w3.org/2000/svg'
    }, g({
      transform: 'translate(1 1)',
      strokeWidth: '1.5',
      stroke: '#EC1A37',
      fill: 'none'
    }, [
      circle({
        key: 'circle',
        cx: '11',
        cy: '11',
        r: '11'
      }), path({
        key: 'path1',
        d: 'M6.448 7.207l9.104 8.345'
      }), path({
        key: 'path2',
        d: 'M15.625 7.29l-9.25 8.18'
      })
    ]));
  };

}).call(this);
