(function() {
  var DeleteButton, React, animationMixin, button, createClass;

  React = require('react');

  createClass = require('create-react-class');

  animationMixin = require('../mixins/animation_mixin');

  button = require('react-dom-factories').button;

  DeleteButton = createClass({
    displayName: 'DeleteButton',
    mixins: [animationMixin],
    enterDuration: 150,
    enterStateStart: {
      left: 50
    },
    enterStateEnd: {
      left: 0
    },
    enterEasing: 'easeOutSine',
    leaveDuration: 150,
    leaveStateStart: {
      left: 0
    },
    leaveStateEnd: {
      left: 50
    },
    leaveEasing: 'easeOutSine',
    render: function() {
      var handleClick, left;
      handleClick = this.props.handleClick;
      left = this.state.left;
      return button({
        className: 'delete-btn',
        onClick: this.props.handleClick,
        style: {
          transform: "translate(" + left + "px, 0px) translateZ(0px)",
          WebkitTransform: "translate(" + left + "px, 0px) translateZ(0px)",
          msTransform: "translate(" + left + "px, 0px)"
        }
      }, t('Delete'));
    }
  });

  module.exports = DeleteButton;

}).call(this);
