(function() {
  var MultiSelectValue, PropTypes, React, button, createClass, div, ref, span;

  React = require('react');

  createClass = require('create-react-class');

  PropTypes = require('prop-types');

  ref = require('react-dom-factories'), div = ref.div, span = ref.span, button = ref.button;

  MultiSelectValue = createClass({
    displayName: 'MultiSelectValue',
    propTypes: {
      value: PropTypes.oneOfType([PropTypes.object, PropTypes.string, PropTypes.number]).isRequired,
      onRemove: PropTypes.func.isRequired,
      disabled: PropTypes.bool,
      labelField: PropTypes.string
    },
    render: function() {
      var disabled, label, labelField, ref1, value;
      ref1 = this.props, labelField = ref1.labelField, value = ref1.value, disabled = ref1.disabled;
      label = value[labelField] || value;
      return div({
        className: 'multiselect-value'
      }, [
        span({
          key: 'label'
        }, label), button({
          key: 'remove',
          onClick: this.handleRemove,
          tabIndex: -1,
          disabled: disabled
        })
      ]);
    },
    handleRemove: function(e) {
      var onRemove, ref1, value;
      e.stopPropagation();
      ref1 = this.props, onRemove = ref1.onRemove, value = ref1.value;
      return onRemove(value);
    }
  });

  module.exports = React.createFactory(MultiSelectValue);

}).call(this);
