(function() {
  var React, Spinner, div;

  React = require('react');

  Spinner = React.createFactory(require('../components/spinner'));

  div = require('react-dom-factories').div;

  module.exports = {
    showLoading: function(className) {
      return div({
        key: 'loading',
        className: className || 'module-loading'
      }, Spinner({
        key: 'spinner',
        length: 7,
        radius: 7,
        lines: 12,
        width: 2
      }));
    }
  };

}).call(this);
