[<< Component Index](../README.md)
#  [SelectInputCustom](https://github.com/tmfi/ldx-web-utilities/blob/develop/src/components/select_input_custom.coffee)
  Filterable select menu. This component lives on the overlay layer, and requires integrated context methods closeOverlay and openOverlay within the application.

 
## Mixins: `InputMixin`
### options
**`Array`**
 _Required_

  Full list of options to display on component  

---
### value
**`String|Object`**
 _Optional_

  The value that corresponds to the option object with the matching value  

---
### selectText
**`String`**
 _Optional_

  Text displayed as the default value  

---
### onChange
**`Function`**
 _Required_

  Function fired when a change is made to the selection  

---
### tabIndex
**`Number`**
 _Optional_

  Tab order index  

---
### disabled
**`Boolean`**
 _Optional_

  Disabled state of the component  

---
### isFilter
**`Boolean`**
 _Optional_

  Show/hide the filter typeahead input. Default is no  

---
### returnFullObjects
**`Boolean`**
 _Optional_

  Determine whether `getValue` returns the full option object, or just the default value string  

---
### placeholder
**`String`**
 _Optional_

  Placeholder text for the filter input  

---
### valueField
**`String`**
 _Optional_

  The name of the key used to reference the value on the option object  

---
### labelField
**`String`**
 _Optional_

  The name of the key used to reference the label on the option object  

---
### width
**`Number`**
 _Optional_

  The width of the menu popover  

---
### height
**`Number`**
 _Optional_

  The height of the menu popover  

---
### optionHeight
**`Number`**
 _Optional_

  The fixed height of each menu option  
