React = require 'react'
createClass = require 'create-react-class'

{div} = require 'react-dom-factories'

###
Popover Content, see pvr_wrapper.coffee for docs
###

PvrInfoItem = createClass
  
  displayName: 'PvrInfoItem'

  render: ->
    {item, itemHeight, hasSubLabel} = @props

    className = 'plain-pvr-content-item'
    lh = itemHeight/2
    if hasSubLabel
      className += ' has-sublabel' 
 
    div {
      className: className
      style:
        minHeight: itemHeight
        lineHeight: "#{lh}px"
    }, [ 
      div {
        key: 'info'
        className: 'pvr-info'
        title: item.info
      }, item.info
      div {
        key: 'label'
        className: 'pvr-info-label'
      }, item.label
    ]

module.exports = PvrInfoItem