describe 'NoAccess', ->
  React = require 'react'
  NoAccess = React.createFactory require('../../src/components/no_access')
  TestUtils = require 'react-dom/test-utils'
  ReactDOM = require 'react-dom'

 
  #--------------------------------------------------------------------- Default Props
  it 'Should have default props', ->

    noAccess = TestUtils.renderIntoDocument NoAccess {}

    defaultProps = noAccess.props

    expect(defaultProps.styleOverrides).to.be.a('object')


  #--------------------------------------------------------------------- Display Text
  it 'Should Render the displayText when displayText property is passed', ->
    
    displayText = 'Display Text'

    noAccess = TestUtils.renderIntoDocument NoAccess {
      displayText: displayText
    }

    displayTextDiv = TestUtils.findRenderedDOMComponentWithClass noAccess, 'no-access-message'
    
    expect(displayTextDiv.innerText).to.equal(displayText)


  #--------------------------------------------------------------------- Display Text
  it 'Should Render the generic displayText for Consult when displayText property is not passed', ->
    
    noAccess = TestUtils.renderIntoDocument NoAccess {}

    displayTextDiv = TestUtils.findRenderedDOMComponentWithClass noAccess, 'no-access-message'
    
    expect(displayTextDiv.innerText).to.equal("Your user role does not contain the required permissions to use this feature of __appName__.")


  